Bug 813770 - [RFE] Include patch for vhd-util to add a 'convert' command
[RFE] Include patch for vhd-util to add a 'convert' command
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: blktap (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 07:58 EDT by Sergio Rubio
Modified: 2016-03-14 05:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-14 05:19:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Rubio 2012-04-18 07:58:21 EDT
The vhd-util command in the package blktap (https://admin.fedoraproject.org/updates/FEDORA-2012-0516/blktap-2.0.90-3.git20111216.62de90d.fc16) lacks 'convert', necessary to convert a RAW disk file to VHD and deliver it to Xenserver. There's a patch floating around and proper instructions to do the conversion:

http://old-list-archives.xen.org/archives/html/xen-devel/2010-07/msg00694.html

http://git.cloud.com/cgit/cloudstack-oss/plain/tools/systemvm/debian/README?h=2.2.beta1.9&id=9e03518c94d67318f2afd01f0c2471d8e7667c11 

It would be great if something like this could be included to be able to create a platform plugin for Boxgrinder like this one:

https://gist.github.com/1208824
Comment 1 Fedora Admin XMLRPC Client 2014-07-03 17:15:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2016-02-26 12:33:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2016-02-27 08:08:38 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Robin Lee 2016-03-14 05:19:56 EDT
Please submit to upstream first:
https://github.com/xapi-project/blktap
And vhd-tool may satisfy your need:
https://github.com/xapi-project/vhd-tool

Note You need to log in before you can comment on or make changes to this bug.